uk.gov.hmrc.githubclient

# Log

###
Related Doc: package githubclient

#### object Log extends LoggerLike

Linear Supertypes
LoggerLike, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Log
2. LoggerLike
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def debug(message: ⇒ String, error: ⇒ Throwable): Unit

   Definition Classes
     LoggerLike

7. #### def debug(message: ⇒ String): Unit

   Definition Classes
     LoggerLike

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def error(message: ⇒ String, error: ⇒ Throwable): Unit

    Definition Classes
      LoggerLike

11. #### def error(message: ⇒ String): Unit

    Definition Classes
      LoggerLike

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### def info(message: ⇒ String, error: ⇒ Throwable): Unit

    Definition Classes
      LoggerLike

16. #### def info(message: ⇒ String): Unit

    Definition Classes
      LoggerLike

17. #### def isDebugEnabled: Boolean

    Definition Classes
      LoggerLike

18. #### def isErrorEnabled: Boolean

    Definition Classes
      LoggerLike

19. #### def isInfoEnabled: Boolean

    Definition Classes
      LoggerLike

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def isTraceEnabled: Boolean

    Definition Classes
      LoggerLike

22. #### def isWarnEnabled: Boolean

    Definition Classes
      LoggerLike

23. #### val logger: Logger

    Definition Classes
      Log → LoggerLike

24. #### val loggerName: String

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### def trace(message: ⇒ String, error: ⇒ Throwable): Unit

    Definition Classes
      LoggerLike

31. #### def trace(message: ⇒ String): Unit

    Definition Classes
      LoggerLike

32. #### lazy val underlyingLogger: Logger

    Definition Classes
      LoggerLike

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def warn(message: ⇒ String, error: ⇒ Throwable): Unit

    Definition Classes
      LoggerLike

37. #### def warn(message: ⇒ String): Unit

    Definition Classes
      LoggerLike

### Inherited from LoggerLike

### Inherited from AnyRef

### Inherited from Any

### Ungrouped